Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.util
Class IDSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              java.util.HashSet
                  org.ensembl.util.LongSet
                      org.ensembl.util.IDSet

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.io.Serializable, java.util.Set

public class IDSet
extends LongSet

Convenience class for managing sets of ids taken from Persistent item's internal ids.

Author:
  Craig Melsopp
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ensembl.util.LongSet
`arrayCache`

Constructor Summary
`IDSet()`
`IDSet(java.util.Collection c)` Creates a set from a collection of Persistent objects.
`IDSet(IDSet s)` Create a copy of _s_.
`IDSet(java.util.Iterator iter)` Creates a set from a iterator over Persistent objects.
`IDSet(long[] ids)`

Method Summary
`boolean` | `add(Persistent persistent)`
`boolean` | `contains(Persistent persistent)`

Methods inherited from class org.ensembl.util.LongSet
`add, add, add, addAll, contains, to_longArray, to_longArray, to_longArray`

Methods inherited from class java.util.HashSet
`clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### IDSet

    public IDSet()

### IDSet

    public IDSet(long[] ids)

### IDSet

    public IDSet(IDSet s)

  Create a copy of _s_.

Parameters:
  `s` - set to copy.

### IDSet

    public IDSet(java.util.Collection c)

  Creates a set from a collection of Persistent objects.

Parameters:
  `c` - collection of Persistent objects.

### IDSet

    public IDSet(java.util.Iterator iter)

  Creates a set from a iterator over Persistent objects.

Parameters:
  `iter` - iterator over Persistent objects.

Method Detail

### add

    public boolean add(Persistent persistent)

### contains

    public boolean contains(Persistent persistent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD